<p align="center">
  <img src="docs/src/assets/logo-text.svg" height="200"><br>
  <a href="https://github.com/JuliaGeometry/Meshes.jl/actions">
    <img src="https://img.shields.io/github/workflow/status/JuliaGeometry/Meshes.jl/CI?style=flat-square">
  </a>
  <a href="https://codecov.io/gh/JuliaGeometry/Meshes.jl">
    <img src="https://img.shields.io/codecov/c/github/JuliaGeometry/Meshes.jl?style=flat-square">
  </a>
  <a href="https://JuliaGeometry.github.io/Meshes.jl/stable">
    <img src="https://img.shields.io/badge/docs-stable-blue?style=flat-square">
  </a>
  <a href="https://JuliaGeometry.github.io/Meshes.jl/dev">
    <img src="https://img.shields.io/badge/docs-latest-blue?style=flat-square">
  </a>
  <a href="LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue?style=flat-square">
  </a>
</p>

# Project goals

- Design a comprehensive library for computational geometry and meshing algorithms in Julia.
- Unite different scientific communities using meshes (e.g. GIS, CFD, Computer Vision, Graphics)

## Installation

Get the latest stable release with Julia's package manager:

```julia
] add Meshes
```

## Documentation

- [**STABLE**][docs-stable-url] &mdash; **most recently tagged version of the documentation.**
- [**LATEST**][docs-latest-url] &mdash; *in-development version of the documentation.*

## Contributing

Contributions are very welcome, as are feature requests and suggestions.
Please open an issue if you encounter any problems. We take issues very
seriously and value any type of feedback.

We have high standards when it comes to source code. Please adopt the
coding style that is present in the files when submitting pull requests.

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue?style=flat-square
[docs-stable-url]: https://JuliaGeometry.github.io/Meshes.jl/stable

[docs-latest-img]: https://img.shields.io/badge/docs-latest-blue?style=flat-square
[docs-latest-url]: https://JuliaGeometry.github.io/Meshes.jl/dev
